Name:           iio-sensor-proxy
Version:        1.0
Release:        6%{?dist}
Summary:        IIO accelerometer sensor to input device proxy

License:        GPLv3+
URL:            https://github.com/hadess/iio-sensor-proxy
Source0:        http://people.freedesktop.org/~hadess/%{name}-%{version}.tar.xz
# https://github.com/hadess/iio-sensor-proxy/commit/ea1801cea677474f32d6687bb94d8cab0fecc918
Patch0:         0001-rules-Fix-ACTION-equality-check.patch

BuildRequires:  git
BuildRequires:  pkgconfig(udev) pkgconfig(gio-2.0) pkgconfig(gudev-1.0)
BuildRequires:  systemd

Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
%{summary}.

%prep
%autosetup -S git

%build
%configure --disable-silent-rules
%make_build

%install
%make_install

%post
%systemd_post %{name}.service
%udev_hwdb_update

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license COPYING
%doc README
%{_bindir}/monitor-sensor
%{_sbindir}/%{name}
%{_unitdir}/%{name}.service
%{_udevrulesdir}/40-%{name}.rules
%{_sysconfdir}/dbus-1/system.d/net.hadess.SensorProxy.conf

%changelog
* Tue Jun 23 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0-6
- Fix udev rule (RHBZ #1234744)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed May 27 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0-4
- use real license (GPLv3+)

* Sun May 24 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0-3
- Fix license tag
- Disable silent building

* Sat May 23 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0-2
- Use _udevrules dir instead of custom detecting rules dir

* Sat May 23 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0-1
- Initial package
